### Eclipse Workspace Patch 1.0
#P fluid-components
Index: src/webapp/fluid-components/js/fluid/uploader/Progress.js
===================================================================
--- src/webapp/fluid-components/js/fluid/uploader/Progress.js	(revision 6198)
+++ src/webapp/fluid-components/js/fluid/uploader/Progress.js	(working copy)
@@ -204,11 +204,11 @@
       
 	fluid.defaults("fluid.progress", {  
         selectors: {
-			displayElement: ".fluid-progress", // required, the element that gets displayed when progress is displayed, could be the indicator or bar or some larger outer wrapper as in an overlay effect
-			progressBar: ".fluid-progress-bar", //required
-			indicator: ".fluid-progress-indicator", //required
-			label: ".fluid-progress-label", //optional
-			ariaElement: ".fluid-progress-bar" // usually required, except in cases where there are more than one progressor for the same data such as a total and a sub-total
+			displayElement: ".fl-progress", // required, the element that gets displayed when progress is displayed, could be the indicator or bar or some larger outer wrapper as in an overlay effect
+			progressBar: ".fl-progress-bar", //required
+			indicator: ".fl-progress-indicator", //required
+			label: ".fl-progress-label", //optional
+			ariaElement: ".fl-progress-bar" // usually required, except in cases where there are more than one progressor for the same data such as a total and a sub-total
         },
 		
 		// progress display and hide animations, use the jQuery animation primatives, set to false to use no animation
Index: src/webapp/fluid-components/js/fluid/uploader/Scroller.js
===================================================================
--- src/webapp/fluid-components/js/fluid/uploader/Scroller.js	(revision 6198)
+++ src/webapp/fluid-components/js/fluid/uploader/Scroller.js	(working copy)
@@ -120,7 +120,7 @@
     
     fluid.defaults("fluid.scroller", {  
         selectors: {
-            wrapper: ".fluid-scroller"
+            wrapper: ".fl-scroller"
         },
         
         maxHeight: 180,
Index: src/webapp/tests/fluid-tests/uploader/Uploader-test.html
===================================================================
--- src/webapp/tests/fluid-tests/uploader/Uploader-test.html	(revision 6198)
+++ src/webapp/tests/fluid-tests/uploader/Uploader-test.html	(working copy)
@@ -31,7 +31,7 @@
     <!-- Test HTML -->
     <div id="main" style="display: none;">
         <form id="single-inline-fluid-uploader" 
-              class="fluid-uploader infusion fluid-uploader-inline" 
+              class="fl-uploader infusion" 
               method="get" 
               enctype="multipart/form-data">
                   
@@ -39,10 +39,10 @@
                 <div>Upload images from your Computer to <em>All Images</em></div>
         
 	            <!-- The file queue -->
-	            <div class="fluid-uploader-queue-wrapper">
+	            <div class="fl-uploader-queue-wrapper">
         		    
 	                <!-- Top of the queue -->
-	                <div class="fluid-scroller-table-head">
+	                <div class="fl-scroller-table-head">
         				<table cellspacing="0" cellpadding="0" summary="Headers for the file queue.">
         					<caption>File Queue:</caption>
         					<thead>
@@ -56,9 +56,9 @@
         			</div>
                     
                     <!-- Scrollable view -->
-        			<div class="fluid-scroller">
+        			<div class="fl-scroller">
         				<div class="scroller-inner">
-        					<table cellspacing="0" class="fluid-uploader-queue" summary="Queue of files to upload.">
+        					<table cellspacing="0" class="fl-uploader-queue" summary="Queue of files to upload.">
         						<tbody>
 	                                <!-- Rows will be rendered in here. -->
                                     
@@ -78,21 +78,21 @@
         				</div>
         			</div>
         			
-        			<div class="fluid-uploader-row-placeholder">
+        			<div class="fl-uploader-row-placeholder">
         			    Choose <em>Browse files</em> to add files to the queue 
                     </div>
         
                     <!-- Foot of the queue -->
-        			<div class="fluid-scroller-table-foot">
+        			<div class="fl-scroller-table-foot">
         				<table cellspacing="0" cellpadding="0" summary="Status of file queue.">
         					<tfoot>
         						<tr>
         							<td class="total-file-progress">
-        							    Total: <span class="fluid-uploader-totalFiles">0</span> files 
-                                        (<span class="fluid-uploader-totalBytes">0 KB</span>)
+        							    Total: <span class="fl-uploader-totalFiles">0</span> files 
+                                        (<span class="fl-uploader-totalBytes">0 KB</span>)
                                     </td>
         							<td class="footer-button" align="right" >
-        							    <a href="#_bottom" class="fluid-uploader-browse">Browse files</a>
+        							    <a href="#_bottom" class="fl-uploader-browse">Browse files</a>
                                     </td>
         						</tr>
         					</tfoot>
@@ -102,12 +102,12 @@
         		</div>
                 
                 <!-- Action buttons -->
-        		<div class="fluid-uploader-btns">
-        			<button type="button" class="fluid-uploader-upload default" >Upload</button>
-        			<button type="button" class="fluid-uploader-resume default" >Resume</button>
-        			<button type="button" class="fluid-uploader-pause" >Pause</button>
-        			<button type="button" class="fluid-uploader-cancel cancel" >Cancel</button>
-        			<button type="button" class="fluid-uploader-done" >Done</button>
+        		<div class="fl-uploader-btns">
+        			<button type="button" class="fl-uploader-upload default" >Upload</button>
+        			<button type="button" class="fl-uploader-resume default" >Resume</button>
+        			<button type="button" class="fl-uploader-pause" >Pause</button>
+        			<button type="button" class="fl-uploader-cancel cancel" >Cancel</button>
+        			<button type="button" class="fl-uploader-done" >Done</button>
         		</div>
         	</div>
         </form>
Index: src/webapp/fluid-components/css/fluid.ui.dialog.css
===================================================================
--- src/webapp/fluid-components/css/fluid.ui.dialog.css	(revision 0)
+++ src/webapp/fluid-components/css/fluid.ui.dialog.css	(revision 0)
@@ -0,0 +1,82 @@
+/* Styles of a Fluid themed jQuery UI dialog */
+
+.ui-dialog {
+	background-color: #FFF;
+	border: 1px solid #7C7E80;
+}
+
+.ui-dialog .ui-dialog-titlebar {
+	border-bottom: 1px solid #7C7E80;
+	background: #427ABE;
+	padding: 0px;
+	height: 28px;
+	_height: 29px;
+}
+
+.ui-dialog.ui-draggable .ui-dialog-titlebar {
+	cursor: move;
+}
+
+.ui-dialog .ui-dialog-titlebar-close {
+	width: 17px;
+	height: 17px;
+	background: url(../images/infusion-theme/x-close-lrg.png) no-repeat 1px 1px;
+	border: 1px solid transparent;
+	position:absolute;
+	top: 6px;
+	right: 7px;
+	cursor: pointer;
+}
+
+.ui-dialog .ui-dialog-titlebar-close span {
+	display: none;
+}
+
+.ui-dialog .ui-dialog-titlebar-close-hover {
+	background: url(../images/infusion-theme/x-close-lrg.png) no-repeat 1px 1px;
+	background-color: #095CBE;
+	border: 1px solid #CCC;
+}
+
+.ui-dialog .ui-dialog-title {
+	margin-left: 5px;
+	color: white;
+	font-weight: normal;
+	position: relative;
+	top: 7px;
+	left: 4px;
+	font-size: 1.16em;
+}
+
+.ui-dialog .ui-dialog-content {
+	margin: 1.2em;
+}
+
+.ui-dialog .ui-dialog-buttonpane {
+	position: absolute;
+	bottom: 8px;
+	right: 12px;
+	width: 100%;
+	text-align: right;
+}
+
+.ui-dialog .ui-dialog-buttonpane button {
+	margin: 6px;
+}
+
+/* Dialog handle styles */
+.ui-dialog .ui-resizable-n { cursor: n-resize; height: 6px; width: 100%; top: 0px; left: 0px; background: transparent url(i/dialog-n.gif) repeat scroll center top; }
+
+.ui-dialog .ui-resizable-s { cursor: s-resize; height: 8px; width: 100%; bottom: 0px; left: 0px; background: transparent url(i/dialog-s.gif) repeat scroll center top; }
+
+.ui-dialog .ui-resizable-e { cursor: e-resize; width: 7px; right: 0px; top: 0px; height: 100%; background: transparent url(i/dialog-e.gif) repeat scroll right center; }
+
+.ui-dialog .ui-resizable-w { cursor: w-resize; width: 7px; left: 0px; top: 0px; height: 100%; background: transparent url(i/dialog-w.gif) repeat scroll right center; }
+
+.ui-dialog .ui-resizable-se { cursor: se-resize; width: 9px; height: 9px; right: 0px; bottom: 0px; background: transparent url(i/dialog-se.gif); }
+
+.ui-dialog .ui-resizable-sw { cursor: sw-resize; width: 9px; height: 9px; left: 0px; bottom: 0px; background: transparent url(i/dialog-sw.gif); }
+
+.ui-dialog .ui-resizable-nw { cursor: nw-resize; width: 9px; height: 29px; left: 0px; top: 0px; background: transparent url(i/dialog-nw.gif); }
+
+.ui-dialog .ui-resizable-ne { cursor: ne-resize; width: 9px; height: 29px; right: 0px; top: 0px; background: transparent url(i/dialog-ne.gif); }
\ No newline at end of file
Index: src/webapp/tests/fluid-tests/uploader/Progress-test.html
===================================================================
--- src/webapp/tests/fluid-tests/uploader/Progress-test.html	(revision 6198)
+++ src/webapp/tests/fluid-tests/uploader/Progress-test.html	(working copy)
@@ -25,7 +25,7 @@
 				margin: 20px;
 			}
 			
-			.fluid-progress {
+			.fl-progress {
 				border: 1px solid #EFEFEF;
 				margin: 10px;
 				padding: 10px;
@@ -33,7 +33,7 @@
 				text-align: center
 			}
 			
-			.fluid-progress-bar {
+			.fl-progress-bar {
 				position: relative;
 				width: 100px;
 				border: 2px solid black;
@@ -41,7 +41,7 @@
 				height: 20px;
 			}
 			
-			.fluid-progress-indicator {
+			.fl-progress-indicator {
 				display: block;
 				position: absolute;
 				top: 0;
@@ -50,7 +50,7 @@
 				height: 100%;
 			}
 						
-			.fluid-progress-indicator {
+			.fl-progress-indicator {
 				background-color: #06B;
 			}
 						
@@ -70,11 +70,11 @@
     <div id="main">
  	<h4>These tests use a convenience of a progress bar with a width of 100 pixels so that the percent of progress will always be equal to the number of pixels. eg. 50% = 50 pixels.</h4>
    	<div id="progress-container">
-    		<div class="fluid-progress">
+    		<div class="fl-progress">
 		    	<p>Generic Progressor (follows defaults)</p>
-				<p class="fluid-progress-label"></p>
-				<div class="fluid-progress-bar">
-					<div class="fluid-progress-indicator">
+				<p class="fl-progress-label"></p>
+				<div class="fl-progress-bar">
+					<div class="fl-progress-indicator">
 					</div>
 				</div>
 			</div>
Index: src/webapp/fluid-components/css/Uploader.css
===================================================================
--- src/webapp/fluid-components/css/Uploader.css	(revision 6198)
+++ src/webapp/fluid-components/css/Uploader.css	(working copy)
@@ -1,344 +0,0 @@
-.fluid-uploader { 
-    width: 434px;
-    position: relative;
-	display: block;
-	clear: both;
-}
-
-.fluid-uploader-inline {
-	margin-top: 2em;
-	padding: 1em 2em;
-}
-
-.fluid-uploader form {
-    height: auto !important;
-}
-
-.fluid-uploader a.fluid-uploader-browse {
-    background-image: url(../images/uploader/add.png);
-    background-attachment: scroll;
-    background-repeat: no-repeat;
-    background-position: 5px center;
-    padding: 3px 6px 3px 25px;
-    border: 1px solid transparent;
-    white-space: nowrap;
-    color: #427ABE;
-    font-weight: normal;
-    cursor: pointer;
-}
-
-.fluid-uploader a.fluid-uploader-browse:hover {
-    border: 1px solid #CCC;
-    background-color: #FFF;
-}
-
-.fluid-uploader a.fluid-uploader-browse:focus, .fluid-uploader a.fluid-uploader-browse.focus {
-    border: 2px solid #142B8C;
-    background-color: #FFF;
-}
-
-/* FILE QUEUE TABLE STYLES */
-
-/* caption */
-
-.fluid-uploader-queue-wrapper caption {
-    display: none;
-}
-
-/* header rows */
-
-.fluid-scroller-table-head {
-    background-color: transparent;
-    color: #666;
-}
-
-.fluid-scroller-table-head th { 
-    text-align: left;
-    font-size: 0.94em;
-    font-weight: normal;
-    padding: 6px;
-}
-
-/* footer rows */
-
-.fluid-scroller-table-foot {
-    position: relative;
-    background-color: #E6E6E6;
-    border: 1px solid #999;
-}
-
-.fluid-scroller-table-foot table { 
-	width: 100%;
-    position:relative;
-    z-index:6;
-}
-
-.fluid-scroller-table-foot td {
-    padding: 8px 6px;
-    vertical-align: middle;
-    font-size: 1.07em;
-    font-weight: bolder;
-    color: #666;
-}
-
-.fluid-scroller-table-foot td.footer-button {
-    text-align: right;
-}
-
-
-/* tbody */
-
-.fluid-scroller {
-    display: block;
-    position: relative;
-    background-color: white;
-    overflow: auto;
-    overflow-x: hidden;
-    overflow-y: auto;
-	border-width: 1px 1px 0;
-	border-style: solid;
-	border-color: #999;
-}
-
-.fluid-scroller .scroller-inner {
-    position: relative;
-    overflow: hidden;
-}
-        
-.fluid-uploader-queue {
-    position: relative;
-    font-size: 0.9em;
-    color: #333;
-    z-index: 6;
-}
-
-/* hidden from IE6 */
-html>body .fluid-uploader-queue {
-	width: 100%;	
-}
-
-/* this style is here for debugging, if everything is working right the list items are focusable but the list not. */
-.fluid-uploader-queue:focus, .fluid-uploader-queue.focus {
-    border: 1px solid #142B8C;
-}
-
-.fluid-uploader-queue tr {
-    background-color: transparent;
-}
-
-/* second CSS selector is added only for IE6 */
-
-.fluid-uploader-queue tr.ready:hover, .fluid-uploader-queue tr.hover  {
-    background-color: #FFF9DC;
-}
-
-.fluid-uploader-queue tr:focus, .fluid-uploader-queue tr.focus {
-    background-color: #FFF9DC;
-}
-
-.fluid-uploader-queue tr:focus td, .fluid-uploader-queue tr:focus th, .fluid-uploader-queue tr.focus td, .fluid-uploader-queue tr.focus th {
-    border-top: 2px solid #142B8C;
-    border-bottom: 2px solid #142B8C;
-    padding: 2px 4px;
-}
-
-.fluid-uploader-queue tr:focus td:last-child,.fluid-uploader-queue tr.focus td:last-child {
-    border-right: 2px solid #142B8C;
-}
-
-.fluid-uploader-queue tr:focus th, .fluid-uploader-queue tr.focus th {
-    border-left: 2px solid #142B8C;
-}
-
-.fluid-uploader-queue tr.dim {
-    color: #666;
-}
-
-.fluid-uploader-queue td, .fluid-uploader-queue th { 
-    text-align: left;
-    padding: 3px 6px;
-    border-bottom: 1px solid #BBCFDC;
-}
-
-.fluid-uploader-queue-wrapper .fileName {
-    width: 322px;
-    overflow: hidden;
-}
-
-.fluid-uploader-queue-wrapper .fileSize {
-    text-align: right;
-    width: 4em;
-    white-space: nowrap;
-}
-
-.fluid-uploader-queue .iconBtn {
-    border: 1px solid transparent;
-    height: 20px;
-    width: 20px;
-    overflow: hidden;
-    background-color: transparent;
-    background-attachment: scroll;
-    background-repeat: no-repeat;
-    background-position: 1px 1px;
-    outline: 0;
-    padding: 0;
-    margin: 0;
-    outline: none;
-}
-
-.fluid-uploader-queue .iconBtn:hover {
-    border: 1px solid transparent;
-    background-color: transparent;
-    cursor: auto;
-}
-
-.fluid-uploader-queue .iconBtn.dim {
-    border: 1px solid transparent;
-    background-color: transparent;
-    cursor: auto;
-}
-
-.fluid-uploader-queue .removeFile {
-    background-image: url(../images/uploader/remove.png);
-    cursor: pointer !important;
-}
-
-.fluid-uploader-queue .removeFile:hover, .fluid-uploader-queue tr.ready:focus .removeFile, .fluid-uploader-queue tr.focus .removeFile {
-    border: 1px solid #CCC;
-    background-color: #FFF;
-}
-
-.fluid-uploader-queue .removeFile:focus, .fluid-uploader-queue .removeFile.focus {
-    background-color: #4F99D3;
-    outline: none;
-}
-
-.fluid-uploader-queue .uploaded th, .fluid-uploader-queue tr.uploaded:focus th, .fluid-uploader-queue tr.focus th   {
-    border-left: 4px solid #74B74A;
-    color: #5E7A5E;
-}
-
-.fluid-uploader-queue .uploaded td {
-    color: #5E7A5E;
-}
-
-.fluid-uploader-queue .uploaded .iconBtn {
-    background-image: url(../images/uploader/tick.png);
-}
-
-.fluid-uploader-queue .error th {
-    border-left: 4px solid #F5E392;
-}
-
-.fluid-uploader-queue .error .iconBtn {
-    background-image: url(../images/uploader/error.png);
-}
-
-.fluid-uploader-queue-wrapper td.actions, .fluid-uploader-queue-wrapper th.actions {
-    text-align: center;
-}
-
-.fluid-uploader-queue td.actions, .fluid-uploader-queue td.fileStatus { 
-    white-space: nowrap;
-}
-
-.fluid-uploader-queue-wrapper .fluid-uploader-browse-instructions {
-    background-color: #F0F9FF;
-    color: #666;
-    text-align: center;
-    border-left: 1px solid #999;
-    border-right: 1px solid #999;
-    padding: 6px;
-}
-
-.fluid-uploader-btns {
-    margin-top: 1em;
-}
-
-.fluid-uploader-btns .fluid-uploader-upload, .fluid-uploader-btns .fluid-uploader-resume,  .fluid-uploader-btns .fluid-uploader-pause {
-    width: 8.4em;
-}
-
-.fluid-uploader-btns .fluid-uploader-done, .fluid-uploader-btns .fluid-uploader-cancel {
-    width: 7.6em;
-}
-
-.fluid-uploader-btns button {
-    float: right;
-    padding: 0;
-}
-
-.fluid-uploader-btns button:focus, .fluid-uploader-btns button.focus {
-    border-width: 3px;
-    border-color: #142B8C;
-}
-
-button span.text-description {
-    display: none;
-}
-
-/* element states */
-
-.disabled, .dim {
-    cursor: auto; 
-}
-
-.disabled {
-    background-color: #CCC !important;
-    border-color: #999 !important;
-}
-
-.dim {
-    opacity: 0.4;
-    filter:alpha(opacity=40);
-}
-
-.hidden {
-    display: none;
-}
-
-.fluid-templates {
-	display: none;
-}
-
-
-/* ERRORS
- * 
- */
-
-.fluid-uploader-queue .queue-error-row td {
-    border-top: 1px dotted #E6E6E6;
-    border-left: 4px solid #F5E392;
-}
-
-
-/* PROGRESS */
-
-.file-progress, .total-progress {
-    position: absolute;
-    display: none;
-    background-attachment: scroll;
-    background-position: bottom left;
-    background-repeat: repeat-x;
-    overflow: hidden;
-    left: 0;
-    z-index:4;
-}
-
-.file-progress {
-    background-image: url('../images/progress/gradient-file.png');
-    background-color: #D1D6DD;
-    width:76%;
-}
-
-.file-progress .file-progress-text {
-    display: none;
-}
-
-.total-progress {
-    top: 0;
-    height: 100%;
-    background-image: url('../images/progress/gradient-total.png');
-    background-color: #BDBFC1;
-    width:76%;
-}
\ No newline at end of file
Index: src/webapp/tests/fluid-tests/uploader/FileQueueView-test.html
===================================================================
--- src/webapp/tests/fluid-tests/uploader/FileQueueView-test.html	(revision 6198)
+++ src/webapp/tests/fluid-tests/uploader/FileQueueView-test.html	(working copy)
@@ -31,7 +31,7 @@
     <div id="main">
         
 	    <!-- Top of the queue -->
-		<div class="fluid-scroller-table-head">
+		<div class="fl-scroller-table-head">
 			<table cellspacing="0" cellpadding="0" summary="Headers for the file queue.">
 				<caption>File Queue:</caption>
 				<thead>
@@ -45,11 +45,11 @@
 		</div>
         
         <!-- Scrolling section -->
-		<div class="fluid-scroller">
+		<div class="fl-scroller">
 			<div class="scroller-inner">
 			    
                 <!-- The file list itself -->
-				<table cellspacing="0" class="fluid-uploader-queue" summary="Queue of files to upload.">
+				<table cellspacing="0" class="fl-uploader-queue" summary="Queue of files to upload.">
 					<tbody>
                         <!-- Rows will be rendered in here. -->
                         
Index: src/webapp/tests/fluid-tests/uploader/js/FileQueueViewTests.js
===================================================================
--- src/webapp/tests/fluid-tests/uploader/js/FileQueueViewTests.js	(revision 6198)
+++ src/webapp/tests/fluid-tests/uploader/js/FileQueueViewTests.js	(working copy)
@@ -59,7 +59,7 @@
         
         // File Queue test case
         var setupFunction = function () {
-            qEl = $("#main .fluid-uploader-queue");
+            qEl = $("#main .fl-uploader-queue");
             jqUnit.subvertAnimations();
         };
         
@@ -71,10 +71,10 @@
             jqUnit.assertNotNull("The queue should have a scroller attached to it.", q.scroller);
             jqUnit.assertNotUndefined("The queue should have a scroller attached to it.", q.scroller);
             jqUnit.assertEquals("The queue's container should be scrollable", 
-                                $(".fluid-uploader-queue")[0], 
+                                $(".fl-uploader-queue")[0], 
                                 q.scroller.container[0]);
             jqUnit.assertEquals("The queue's scroller should have a scroller wrapper.", 
-                                $(".fluid-scroller")[0], 
+                                $(".fl-scroller")[0], 
                                 q.scroller.scrollingElm[0]);
         });
         
Index: src/webapp/fluid-components/html/templates/Uploader.html
===================================================================
--- src/webapp/fluid-components/html/templates/Uploader.html	(revision 6198)
+++ src/webapp/fluid-components/html/templates/Uploader.html	(working copy)
@@ -4,8 +4,8 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
         <title>Inline Uploader</title>
         
-        <link href="../../css/infusion-theme.css" rel="stylesheet" type="text/css" />
-        <link href="../../css/Uploader.css" rel="stylesheet" type="text/css" />
+        <link href="../../css/fluid.reset.css" rel="stylesheet" type="text/css" />
+        <link href="../../css/fluid.components.uploader.css" rel="stylesheet" type="text/css" />
         <link href="../../css/fluid.layout.css" rel="stylesheet" type="text/css" />
         
         <!-- Fluid and jQuery Dependencies -->
@@ -25,7 +25,7 @@
         <script src="../../js/fluid/uploader/Uploader.js" type="text/javascript"></script>
     </head>
     
-    <body class="infusion">
+    <body>
         <div id="uploader-contents">
             
             <!-- This form will be progressively enhanced by the Fluid Uploader component. -->
@@ -36,15 +36,15 @@
         	</form>
             
             <!-- This is the markup for the Fluid Uploader component itself. -->
-            <form class="fluid-uploader fluid-uploader-inline fl-progressive-enhancer" 
+            <form class="fl-uploader fl-progressive-enhancer" 
                   method="get" 
                   enctype="multipart/form-data">
                       
                 <!-- The file queue -->
-                <div class="fluid-uploader-queue-wrapper">
+                <div class="fl-uploader-queue-wrapper">
         		    
                     <!-- Top of the queue -->
-                    <div class="fluid-scroller-table-head">
+                    <div class="fl-scroller-table-head">
         				<table cellspacing="0" cellpadding="0" summary="Headers for the file queue.">
         					<caption>File Upload Queue:</caption>
 
@@ -58,9 +58,9 @@
         			</div>
                     
                     <!-- Scrollable view -->
-        			<div class="fluid-scroller">
+        			<div class="fl-scroller">
         				<div class="scroller-inner">
-        					<table cellspacing="0" class="fluid-uploader-queue" summary="Queue of files to upload.">
+        					<table cellspacing="0" class="fl-uploader-queue" summary="Queue of files to upload.">
         						<tbody>
                                     <!-- Rows will be rendered in here. -->
                                     
@@ -80,21 +80,21 @@
         				</div>
         			</div>
         			
-        			<div class="fluid-uploader-browse-instructions">
+        			<div class="fl-uploader-browse-instructions">
         			    Choose <em>Browse files</em> to add files to the queue 
                     </div>
         
                     <!-- Foot of the queue -->
-        			<div class="fluid-scroller-table-foot">
+        			<div class="fl-scroller-table-foot">
         				<table cellspacing="0" cellpadding="0" summary="Status of file queue.">
 
         						<tr>
         							<td class="total-file-progress">
-        							    Total: <span class="fluid-uploader-totalFiles">0</span> files 
-                                        (<span class="fluid-uploader-totalBytes">0 KB</span>)
+        							    Total: <span class="fl-uploader-totalFiles">0</span> files 
+                                        (<span class="fl-uploader-totalBytes">0 KB</span>)
                                     </td>
         							<td class="footer-button" align="right" >
-        							    <a href="#" class="fluid-uploader-browse">Browse files</a>
+        							    <a href="#" class="fl-uploader-browse">Browse files</a>
                                     </td>
         						</tr>
 
@@ -104,8 +104,8 @@
         		</div>
                 
                 <!-- Action buttons -->
-        		<div class="fluid-uploader-btns">
-        			<button type="button" class="fluid-uploader-pause hidden">Stop Upload</button><button type="button" class="fluid-uploader-upload default dim" disabled="disabled">Upload</button><button type="button" class="fluid-uploader-cancel cancel">Cancel</button>
+        		<div class="fl-uploader-btns">
+        			<button type="button" class="fl-uploader-pause hidden">Stop Upload</button><button type="button" class="fl-uploader-upload default dim" disabled="disabled">Upload</button><button type="button" class="fl-uploader-cancel cancel">Cancel</button>
         		</div>
     
             </form>
@@ -121,8 +121,13 @@
         </div>
             
         <script type="text/javascript">
-            var myUploader = fluid.progressiveEnhanceableUploader(".fluid-uploader", ".fl-progressive-enhanceable", {
-                uploadManager: "fluid.demoUploadManager"
+            var myUploader = fluid.progressiveEnhanceableUploader(".fl-uploader", ".fl-progressive-enhanceable", {
+                uploadManager: "fluid.demoUploadManager",
+                            
+                        options: {
+                      
+                            debug: true
+                        }
             });
         </script> 
     </body>
Index: src/webapp/tests/fluid-tests/uploader/js/ProgressTests.js
===================================================================
--- src/webapp/tests/fluid-tests/uploader/js/ProgressTests.js	(revision 6198)
+++ src/webapp/tests/fluid-tests/uploader/js/ProgressTests.js	(working copy)
@@ -32,7 +32,7 @@
            
 		   	// 1.1
 			jqUnit.notVisible("Before update, ensure default progress bar is not visible", 
-	            	".fluid-progress");
+	            	".fl-progress");
 	    	// 1.2
 			jqUnit.notExists("Before update, ensure update text doesn't exist", 
 			             ":contains(" + text + ")");		 
@@ -46,14 +46,14 @@
 			
 			// 2.1
 			jqUnit.notVisible("Before update, ensure default progress bar is not visible", 
-            	".fluid-progress");
+            	".fl-progress");
 			
 			// show the progress widget, override animation
 			progressBar.show(false);
 			
 			// 2.2
 			jqUnit.isVisible("After show, ensure default progress bar is visible", 
-            	".fluid-progress");
+            	".fl-progress");
 			
 			// 2.3
 			jqUnit.assertEquals("After show, expected minimal default indicator width of " + progressBar.options.minWidth + "px; actual ", 
@@ -64,7 +64,7 @@
 			
 			// 2.4
 			jqUnit.notVisible("After hide, ensure default progress bar is not visible", 
-	            	".fluid-progress");
+	            	".fl-progress");
 		
 		});
 
@@ -77,7 +77,7 @@
 			
 			// 3.1
 			jqUnit.isVisible("After update, ensure default progress bar is visible", 
-	            	".fluid-progress");
+	            	".fl-progress");
 					
 			// 3.2
             jqUnit.notExists("After update with out text, ensure update text doesn't exist", 
@@ -95,7 +95,7 @@
 			
 			// 4.1
 			jqUnit.isVisible("After update, ensure default progress bar is visible", 
-            	".fluid-progress");
+            	".fl-progress");
 			
 			// 4.2
             jqUnit.exists("After update with out percentage, ensure the new text exists", 
@@ -143,7 +143,7 @@
 			
 			// 5.1
 			jqUnit.isVisible("After update, ensure default progress bar is visible", 
-            	".fluid-progress");
+            	".fl-progress");
 			
 			// 5.2
             jqUnit.assertTrue("After updating only pixels the label should still be empty", 
@@ -188,7 +188,7 @@
 			
 			// 6.1
 			jqUnit.isVisible("After update, ensure default progress bar is visible", 
-	            	".fluid-progress");
+	            	".fl-progress");
 			
 			// 6.2
             jqUnit.assertTrue("After updating only pixels the label should still be empty", 
@@ -217,7 +217,7 @@
 			
 			// 7.1
 			jqUnit.isVisible("After update, ensure default progress bar is visible", 
-            	".fluid-progress");
+            	".fl-progress");
 			
 			// 7.2
             jqUnit.assertTrue("After updating only pixels the label should still be empty", 
@@ -243,7 +243,7 @@
 			
 			// 8.1
 			jqUnit.isVisible("After update, ensure default progress bar is visible", 
-            	".fluid-progress");
+            	".fl-progress");
 			
 			// 8.2		
             jqUnit.assertTrue("After updating only text the label should still be empty", 
@@ -283,7 +283,7 @@
 			
 			// 9.1	
 			jqUnit.isVisible("After show, ensure default progress bar is visible", 
-            	".fluid-progress");
+            	".fl-progress");
 			
 			// 9.2							 
 			jqUnit.assertTrue("After show, expected indicator width: 0; actual: " + progressBar.indicator.width(), 
@@ -312,7 +312,7 @@
 		
 		progressTests.test("ARIA initialization", function () {
 			
-			var ARIAcontainer = $(".fluid-progress-bar");
+			var ARIAcontainer = $(".fl-progress-bar");
 			
 			jqUnit.assertFalse("Before init: role should not exist", ARIAcontainer.ariaRole());
             jqUnit.assertFalse("Before init: valuemin should not exist", ARIAcontainer.ariaState("valuemin"));
@@ -338,7 +338,7 @@
 			
 			var updateValue, busyVal;
 			
-			var ARIAcontainer = $(".fluid-progress-bar");
+			var ARIAcontainer = $(".fl-progress-bar");
 			
             progressBar = createProgressBar("#progress-container", {animate: "none"});
 			
@@ -375,7 +375,7 @@
 			
 			var updateValue, busyVal;
 			
-			var ARIAcontainer = $(".fluid-progress-bar");
+			var ARIAcontainer = $(".fl-progress-bar");
 			
 			var customDoneText = "Upload is fini.";
 			
Index: src/webapp/fluid-components/html/Uploader.html
===================================================================
--- src/webapp/fluid-components/html/Uploader.html	(revision 6198)
+++ src/webapp/fluid-components/html/Uploader.html	(working copy)
@@ -65,7 +65,7 @@
             .fl-uploader {width:350px; border:1px solid #ccc;}
             .fl-uploader-queue {}
             
-            .fluid-scroller {overflow-y:auto; overflow-x:hidden;}
+            .fl-scroller {overflow-y:auto; overflow-x:hidden;}
             .scroller-inner {overflow-y:auto; overflow-x:hidden; position:relative; max-height:180px;}
             
             .set_1 .fl-uploader-queue table {width:100%;}
@@ -90,7 +90,7 @@
             .set_1 .fl-progress-bounds {clear:both; height:10px; overflow:hidden;}
             .set_1 .total-file-progress {float:left;}
             .set_1 .total-progress {background-color:#080; height:100%;}
-            .set_1 .fluid-uploader-btns {text-align:right; background-color:#ccc; padding:0 5px 5px;}
+            .set_1 .fl-uploader-btns {text-align:right; background-color:#ccc; padding:0 5px 5px;}
             .set_1 .file-progress {position:absolute; border-bottom:3px solid #080; margin-top:-3px; text-align:center; font-weight:bold; color:#fff;}
             .set_1 .file-progress .file-progress-text {display:none;}
             .set_1 .removeFile {}
@@ -115,7 +115,7 @@
             .set_2 .fl-progress-bounds {clear:both; height:10px; overflow:hidden;}
             .set_2 .total-file-progress {float:left;}
             .set_2 .total-progress {background-color:#080; height:100%;}
-            .set_2 .fluid-uploader-btns {text-align:right; background-color:#ccc; padding:0 5px 5px;}
+            .set_2 .fl-uploader-btns {text-align:right; background-color:#ccc; padding:0 5px 5px;}
             .set_2 .file-progress {position:absolute; border-bottom:3px solid #080; margin:3px 0 0 5px; padding:0 3px; text-align:center; font-weight:bold; color:#fff;}
             .set_2 .file-progress-text {display:none; float:right;}
             .set_2 .removeFile {}
@@ -134,7 +134,7 @@
             <form method="get" enctype="multipart/form-data" class="fl-uploader">
                 <div class="start">
                     <!-- FILE QUEUE -->
-                    <div class="fluid-uploader-queue-wrapper  fl-uploader-queue">
+                    <div class="fl-uploader-queue-wrapper  fl-uploader-queue">
                         <!-- QUEUE CONTENTS -->
     			        <table summary="Upload queue headings">
 						    <tr>
@@ -143,9 +143,9 @@
                                 <th scope="col" class="fileRemove">Remove</th>
                             </tr>
                         </table>
-            			<div class="fluid-scroller">
+            			<div class="fl-scroller">
             				<div class="scroller-inner">
-            					<table class="fluid-uploader-queue fl-container-flex" summary="Queue of files to upload.">
+            					<table class="fl-uploader-queue fl-container-flex" summary="Queue of files to upload.">
             						<tbody>
     	                                <!-- Rows will be rendered in here. -->                                        
     	                                <!-- Template markup for the file queue rows -->
@@ -165,16 +165,16 @@
             			</div>
                         
                         <!-- QUEUE INSTRUCTIONS -->
-            			<div class="fluid-uploader-row-placeholder fl-instructions">
+            			<div class="fl-uploader-row-placeholder fl-instructions">
             			    Choose <em>Browse</em> to add files to the queue 
                         </div>
                         
                         <!-- QUEUE FOOTER -->
-            			<div class="fluid-scroller-table-foot fl-uploader-totals">
+            			<div class="fl-scroller-table-foot fl-uploader-totals">
                             <div class="total-file-progress">
-            					Total: <span class="fluid-uploader-totalFiles">0</span> files (<span class="fluid-uploader-totalBytes">0 KB</span>)
+            					Total: <span class="fl-uploader-totalFiles">0</span> files (<span class="fl-uploader-totalBytes">0 KB</span>)
                             </div>
-                            <a href="#" class="fluid-uploader-browse fl-force-right fl-btn fl-btn-browse">Browse</a>
+                            <a href="#" class="fl-uploader-browse fl-force-right fl-btn fl-btn-browse">Browse</a>
                             <div class="fl-progress-bounds">
                 				<div class="total-progress"></div>
                             </div>
@@ -182,8 +182,8 @@
                     </div>
                     
                     <!-- UPLOADER BUTTONS -->
-            		<div class="fluid-uploader-btns">
-            			<a href="#" class="fluid-uploader-upload default fl-btn" >Upload</a>
+            		<div class="fl-uploader-btns">
+            			<a href="#" class="fl-uploader-upload default fl-btn" >Upload</a>
             		</div>
                     
                 </div>
@@ -191,7 +191,7 @@
     
             <!-- Other templates -->
         	<div class="fluid-templates">
-        		<table id="fluid-uploader" summary="Invisible placeholder for Uploader templates.">
+        		<table id="fl-uploader" summary="Invisible placeholder for Uploader templates.">
         			<tr id="queue-error-tmplt" class="queue-error-row">
         			    <td colspan="3" class="queue-error"></td>
                     </tr>
@@ -211,12 +211,12 @@
             <form method="get" enctype="multipart/form-data" class="fl-uploader">
                 <div class="start">
                     <!-- FILE QUEUE -->
-                    <div class="fluid-uploader-queue-wrapper  fl-uploader-queue">
+                    <div class="fl-uploader-queue-wrapper  fl-uploader-queue">
                         <h2>Queue:</h2>
-            			<div class="fluid-scroller">
+            			<div class="fl-scroller">
             				<div class="scroller-inner">                        
                                 <!-- QUEUE CONTENTS -->
-                                <ol class="fluid-uploader-queue fl-uploader-queue">                                    
+                                <ol class="fl-uploader-queue fl-uploader-queue">                                    
                                     <!-- file queue template --> 
                                     <li id="queue-row-tmplt" class="fluid-templates">
                                         <a class="removeFile fl-icon fl-icon-remove" title="Remove File" tabindex="-1" href="#" >Remove</a>
@@ -228,14 +228,14 @@
                             </div>
                         </div>
                         <!-- QUEUE INSTRUCTIONS -->
-            			<div class="fluid-uploader-row-placeholder fl-instructions">Choose <em>Browse</em> to add files to the queue </div>
+            			<div class="fl-uploader-row-placeholder fl-instructions">Choose <em>Browse</em> to add files to the queue </div>
 
                         <!-- QUEUE FOOTER -->
-            			<div class="fluid-scroller-table-foot fl-uploader-totals">
+            			<div class="fl-scroller-table-foot fl-uploader-totals">
                             <div class="total-file-progress">
-            					Total: <span class="fluid-uploader-totalFiles">0</span> files (<span class="fluid-uploader-totalBytes">0 KB</span>)
+            					Total: <span class="fl-uploader-totalFiles">0</span> files (<span class="fl-uploader-totalBytes">0 KB</span>)
                             </div>
-                            <a href="#" class="fluid-uploader-browse fl-force-right fl-btn fl-btn-browse">Browse</a>
+                            <a href="#" class="fl-uploader-browse fl-force-right fl-btn fl-btn-browse">Browse</a>
                             <div class="fl-progress-bounds">
                 				<div class="total-progress"></div>
                             </div>
@@ -243,8 +243,8 @@
                     </div>
                     
                     <!-- UPLOADER BUTTONS -->
-            		<div class="fluid-uploader-btns">
-            			<a href="#" class="fluid-uploader-upload default fl-btn" >Upload</a>
+            		<div class="fl-uploader-btns">
+            			<a href="#" class="fl-uploader-upload default fl-btn" >Upload</a>
             		</div>
                     
                 </div>
@@ -252,7 +252,7 @@
     
             <!-- Other templates -->
         	<div class="fluid-templates">
-        		<table id="fluid-uploader" summary="Invisible placeholder for Uploader templates.">
+        		<table id="fl-uploader" summary="Invisible placeholder for Uploader templates.">
         			<tr id="queue-error-tmplt" class="queue-error-row">
         			    <td colspan="3" class="queue-error"></td>
                     </tr>
Index: src/webapp/fluid-components/js/fluid/uploader/Uploader.js
===================================================================
--- src/webapp/fluid-components/js/fluid/uploader/Uploader.js	(revision 6205)
+++ src/webapp/fluid-components/js/fluid/uploader/Uploader.js	(working copy)
@@ -583,7 +583,7 @@
             type: "fluid.progress",
             options: {
                 selectors: {
-                    progressBar: ".fluid-scroller-table-foot",
+                    progressBar: ".fl-scroller-table-foot",
                     displayElement: ".total-progress", 
                     label: ".total-file-progress",
                     indicator: ".total-progress"
@@ -592,15 +592,15 @@
         },
         
         selectors: {
-            fileQueue: ".fluid-uploader-queue",
-            browseButton: ".fluid-uploader-browse",
-            uploadButton: ".fluid-uploader-upload",
-            cancelButton: ".fluid-uploader-cancel",
-            resumeButton: ".fluid-uploader-resume",
-            pauseButton: ".fluid-uploader-pause",
-            totalFileProgressBar: ".fluid-scroller-table-foot",
+            fileQueue: ".fl-uploader-queue",
+            browseButton: ".fl-uploader-browse",
+            uploadButton: ".fl-uploader-upload",
+            cancelButton: ".fl-uploader-cancel",
+            resumeButton: ".fl-uploader-resume",
+            pauseButton: ".fl-uploader-pause",
+            totalFileProgressBar: ".fl-scroller-table-foot",
             totalFileStatusText: ".total-file-progress",
-            instructions: ".fluid-uploader-browse-instructions"
+            instructions: ".fl-uploader-browse-instructions"
         },
         
         styles: {
Index: src/webapp/tests/fluid-tests/uploader/Scroller-test.html
===================================================================
--- src/webapp/tests/fluid-tests/uploader/Scroller-test.html	(revision 6198)
+++ src/webapp/tests/fluid-tests/uploader/Scroller-test.html	(working copy)
@@ -19,7 +19,7 @@
         <script type="text/javascript" src="js/ScrollerTests.js"></script>
         
 		<style type="text/css">
-            .fluid-scroller-outer {
+            .fl-scroller-outer {
                 display: block;
                 position: relative;
                 background-color: white;
@@ -46,8 +46,8 @@
         <!-- Test HTML -->
         <div id="main">
            <!-- Generic Scroller -->
-            <div id="outer" class="fluid-scroller">
-            	<div id="inner" class="fluid-scroller-inner">
+            <div id="outer" class="fl-scroller">
+            	<div id="inner" class="fl-scroller-inner">
         	    	<ul id="scrollableWithWrapper">
         	    	    <li>Item One</li>
                         <li>Item Two</li>
Index: src/webapp/fluid-components/css/fluid.components.uploader.css
===================================================================
--- src/webapp/fluid-components/css/fluid.components.uploader.css	(revision 6198)
+++ src/webapp/fluid-components/css/fluid.components.uploader.css	(working copy)
@@ -1,58 +1,126 @@
-.fluid-uploader { 
+.fl-uploader { 
     width: 434px;
     position: relative;
 	display: block;
 	clear: both;
+    padding: 1em 2em;
 }
 
-.fluid-uploader-inline {
-	margin-top: 2em;
-	padding: 1em 2em;
+.fl-uploader td, .fl-uploader th {
+    border: none;
 }
 
-.fluid-uploader form {
+.fl-uploader table {
+    margin: 0;
+}
+
+.fl-uploader form {
     height: auto !important;
 }
 
-.fluid-uploader a.fluid-uploader-browse {
+.fl-uploader button {
+	background-color: #4F99D3;
+	border-color: #2A3990;
+	border-width: 1px;
+	border-style: solid;
+	font-weight: bolder;
+	font-size: 1.06em;
+	color: #FFF;
+	height: 32px;
+	padding-left: 2em;
+	padding-right: 2em;
+	margin-right: 1em;
+	outline: none;
+	cursor: pointer;
+}
+
+.fl-uploader button:focus, .fl-uploader button.focus {
+	outline: 2px solid #142B8C;
+}
+
+.fl-uploader button:hover {
+	background-color: #115F8F;
+}
+
+.fl-uploader button.default {
+	background-color: #74B74A;
+	border-color: #006838;
+}
+
+.fl-uploader button.default:hover {
+	background-color: #519325;
+	border-color: #142B8C;
+}
+
+.fl-uploader button.cancel {
+	background-color: #D03E4F;
+	border-color: #BF1E2D;
+}
+
+.fl-uploader button.cancel:hover {
+	background-color: #9E182B;
+	border-color: #142B8C;
+}
+
+.fl-uploader button.dim {
+	background-color: #999;
+	border-color: #666666;
+}
+
+.fl-uploader button.dim:hover {
+	background-color: #999;
+	border-color: #666666;
+}
+
+.fl-uploader button span.text-description {
+    display: none;
+}
+
+.fl-uploader a.fl-uploader-browse {
     background-image: url(../images/uploader/add.png);
     background-attachment: scroll;
     background-repeat: no-repeat;
     background-position: 5px center;
-    padding: 3px 6px 3px 25px;
-    border: 1px solid transparent;
+    padding: 4px 7px 4px 26px;
+    border: none;
     white-space: nowrap;
     color: #427ABE;
     font-weight: normal;
     cursor: pointer;
 }
 
-.fluid-uploader a.fluid-uploader-browse:hover {
+html>body .fl-uploader a.fl-uploader-browse {
+    padding: 3px 6px 3px 25px;
+    border: 1px solid transparent;
+}
+
+.fl-uploader a.fl-uploader-browse:hover {
     border: 1px solid #CCC;
     background-color: #FFF;
 }
 
-.fluid-uploader a.fluid-uploader-browse:focus, .fluid-uploader a.fluid-uploader-browse.focus {
-    border: 2px solid #142B8C;
+.fl-uploader a.fl-uploader-browse:focus, .fl-uploader a.fl-uploader-browse.focus {
+    outline: 2px solid #142B8C;
     background-color: #FFF;
 }
 
+
 /* FILE QUEUE TABLE STYLES */
 
 /* caption */
 
-.fluid-uploader-queue-wrapper caption {
+.fl-uploader-queue-wrapper caption {
     display: none;
 }
 
 /* header rows */
 
-.fluid-scroller-table-head {
+.fl-scroller-table-head {
     background-color: transparent;
     color: #666;
 }
 
-.fluid-scroller-table-head th { 
+.fl-scroller-table-head th { 
     text-align: left;
     font-size: 0.94em;
     font-weight: normal;
@@ -61,19 +129,19 @@
 
 /* footer rows */
 
-.fluid-scroller-table-foot {
+.fl-scroller-table-foot {
     position: relative;
     background-color: #E6E6E6;
     border: 1px solid #999;
 }
 
-.fluid-scroller-table-foot table { 
+.fl-scroller-table-foot table { 
 	width: 100%;
     position:relative;
     z-index:6;
 }
 
-.fluid-scroller-table-foot td {
+.fl-scroller-table-foot td {
     padding: 8px 6px;
     vertical-align: middle;
     font-size: 1.07em;
@@ -81,14 +149,14 @@
     color: #666;
 }
 
-.fluid-scroller-table-foot td.footer-button {
+.fl-scroller-table-foot td.footer-button {
     text-align: right;
 }
 
 
 /* tbody */
 
-.fluid-scroller {
+.fl-scroller {
     display: block;
     position: relative;
     background-color: white;
@@ -100,12 +168,12 @@
 	border-color: #999;
 }
 
-.fluid-scroller .scroller-inner {
+.fl-scroller .scroller-inner {
     position: relative;
     overflow: hidden;
 }
         
-.fluid-uploader-queue {
+.fl-uploader-queue {
     position: relative;
     font-size: 0.9em;
     color: #333;
@@ -113,65 +181,51 @@
 }
 
 /* hidden from IE6 */
-html>body .fluid-uploader-queue {
+html>body .fl-uploader-queue {
 	width: 100%;	
 }
 
 /* this style is here for debugging, if everything is working right the list items are focusable but the list not. */
-.fluid-uploader-queue:focus, .fluid-uploader-queue.focus {
+.fl-uploader-queue:focus {
     border: 1px solid #142B8C;
 }
 
-.fluid-uploader-queue tr {
+.fl-uploader-queue tr:focus, .fl-uploader-queue tr.selected {
+    background-color: #FFF9DC;
+}
+
+.fl-uploader-queue tr {
     background-color: transparent;
 }
 
 /* second CSS selector is added only for IE6 */
 
-.fluid-uploader-queue tr.ready:hover, .fluid-uploader-queue tr.hover  {
+.fl-uploader-queue tr.ready:hover, .fl-uploader-queue tr.hover  {
     background-color: #FFF9DC;
 }
 
-.fluid-uploader-queue tr:focus, .fluid-uploader-queue tr.focus {
-    background-color: #FFF9DC;
-}
-
-.fluid-uploader-queue tr:focus td, .fluid-uploader-queue tr:focus th, .fluid-uploader-queue tr.focus td, .fluid-uploader-queue tr.focus th {
-    border-top: 2px solid #142B8C;
-    border-bottom: 2px solid #142B8C;
-    padding: 2px 4px;
-}
-
-.fluid-uploader-queue tr:focus td:last-child,.fluid-uploader-queue tr.focus td:last-child {
-    border-right: 2px solid #142B8C;
-}
-
-.fluid-uploader-queue tr:focus th, .fluid-uploader-queue tr.focus th {
-    border-left: 2px solid #142B8C;
-}
-
-.fluid-uploader-queue tr.dim {
+.fl-uploader-queue tr.dim {
     color: #666;
 }
 
-.fluid-uploader-queue td, .fluid-uploader-queue th { 
+.fl-uploader-queue td, .fl-uploader-queue th { 
     text-align: left;
     padding: 3px 6px;
     border-bottom: 1px solid #BBCFDC;
 }
 
-.fluid-uploader-queue-wrapper .fileName {
+.fl-uploader-queue-wrapper .fileName {
     width: 322px;
     overflow: hidden;
 }
 
-.fluid-uploader-queue-wrapper .fileSize {
+.fl-uploader-queue-wrapper .fileSize {
     text-align: right;
     width: 4em;
     white-space: nowrap;
 }
 
-.fluid-uploader-queue .iconBtn {
+.fl-uploader-queue .iconBtn {
     border: 1px solid transparent;
     height: 20px;
     width: 20px;
@@ -186,63 +240,63 @@
     outline: none;
 }
 
-.fluid-uploader-queue .iconBtn:hover {
+.fl-uploader-queue .iconBtn:hover {
     border: 1px solid transparent;
     background-color: transparent;
     cursor: auto;
 }
 
-.fluid-uploader-queue .iconBtn.dim {
+.fl-uploader-queue .iconBtn.dim {
     border: 1px solid transparent;
     background-color: transparent;
     cursor: auto;
 }
 
-.fluid-uploader-queue .removeFile {
+.fl-uploader-queue .removeFile {
     background-image: url(../images/uploader/remove.png);
     cursor: pointer !important;
 }
 
-.fluid-uploader-queue .removeFile:hover, .fluid-uploader-queue tr.ready:focus .removeFile, .fluid-uploader-queue tr.focus .removeFile {
+.fl-uploader-queue .removeFile:hover, .fl-uploader-queue tr.ready:focus .removeFile, .fl-uploader-queue tr.focus .removeFile {
     border: 1px solid #CCC;
     background-color: #FFF;
 }
 
-.fluid-uploader-queue .removeFile:focus, .fluid-uploader-queue .removeFile.focus {
+.fl-uploader-queue .removeFile:focus, .fl-uploader-queue .removeFile.focus {
     background-color: #4F99D3;
     outline: none;
 }
 
-.fluid-uploader-queue .uploaded th, .fluid-uploader-queue tr.uploaded:focus th, .fluid-uploader-queue tr.focus th   {
+.fl-uploader-queue .uploaded th, .fl-uploader-queue tr.uploaded:focus th, .fl-uploader-queue tr.focus th   {
     border-left: 4px solid #74B74A;
     color: #5E7A5E;
 }
 
-.fluid-uploader-queue .uploaded td {
+.fl-uploader-queue .uploaded td {
     color: #5E7A5E;
 }
 
-.fluid-uploader-queue .uploaded .iconBtn {
+.fl-uploader-queue .uploaded .iconBtn {
     background-image: url(../images/uploader/tick.png);
 }
 
-.fluid-uploader-queue .error th {
+.fl-uploader-queue .error th {
     border-left: 4px solid #F5E392;
 }
 
-.fluid-uploader-queue .error .iconBtn {
+.fl-uploader-queue .error .iconBtn {
     background-image: url(../images/uploader/error.png);
 }
 
-.fluid-uploader-queue-wrapper td.actions, .fluid-uploader-queue-wrapper th.actions {
+.fl-uploader-queue-wrapper td.actions, .fl-uploader-queue-wrapper th.actions {
     text-align: center;
 }
 
-.fluid-uploader-queue td.actions, .fluid-uploader-queue td.fileStatus { 
+.fl-uploader-queue td.actions, .fl-uploader-queue td.fileStatus { 
     white-space: nowrap;
 }
 
-.fluid-uploader-queue-wrapper .fluid-uploader-browse-instructions {
+.fl-uploader-queue-wrapper .fl-uploader-browse-instructions {
     background-color: #F0F9FF;
     color: #666;
     text-align: center;
@@ -251,28 +305,23 @@
     padding: 6px;
 }
 
-.fluid-uploader-btns {
+.fl-uploader-btns {
     margin-top: 1em;
 }
 
-.fluid-uploader-btns .fluid-uploader-upload, .fluid-uploader-btns .fluid-uploader-resume,  .fluid-uploader-btns .fluid-uploader-pause {
+.fl-uploader-btns .fl-uploader-upload, .fl-uploader-btns .fl-uploader-resume,  .fl-uploader-btns .fl-uploader-pause {
     width: 8.4em;
 }
 
-.fluid-uploader-btns .fluid-uploader-done, .fluid-uploader-btns .fluid-uploader-cancel {
+.fl-uploader-btns .fl-uploader-done, .fl-uploader-btns .fl-uploader-cancel {
     width: 7.6em;
 }
 
-.fluid-uploader-btns button {
+.fl-uploader-btns button {
     float: right;
     padding: 0;
 }
 
-.fluid-uploader-btns button:focus, .fluid-uploader-btns button.focus {
-    border-width: 3px;
-    border-color: #142B8C;
-}
-
 button span.text-description {
     display: none;
 }
@@ -306,7 +355,7 @@
  * 
  */
 
-.fluid-uploader-queue .queue-error-row td {
+.fl-uploader-queue .queue-error-row td {
     border-top: 1px dotted #E6E6E6;
     border-left: 4px solid #F5E392;
 }

Property changes on: src/webapp/fluid-components/css/fluid.components.uploader.css
___________________________________________________________________
Added: svn:mergeinfo

